Index: main/trunk/greenstone2/Install.txt
===================================================================
--- main/trunk/greenstone2/Install.txt	(revision 30378)
+++ main/trunk/greenstone2/Install.txt	(revision 36234)
@@ -1,57 +1,70 @@
+Compiling and Installing Greenstone 2
+--------------------------------------
 
 Note: more up-to-date notes may be available on our website, at
- http://wiki.greenstone.org/wiki/index.php/Installing_Greenstone
+http://wiki.greenstone.org/doku.php?id=en:user_advanced:installation
+ 
 
 The following instructions assume the top level Greenstone folder is called
-Greenstone (which is the standard name used for Greenstone 2 releases). 
-If you have got Greenstone from SVN, the top level directory will be greenstone2. 
+Greenstone2. Please adjust these instructions to match the folder name in
+your situation. 
 
 The Greenstone Librarian Interface (GLI) code will be in the gli folder inside
-the Greenstone folder. If you are using SVN and you want to use the GLI to 
-build collections, you'll need to check it out by running
+the Greenstone2 folder (if you have a Greenstone release). If you are using
+SVN and you want to use the GLI to build collections, you'll need to check
+it out by running
  svn checkout http://svn.greenstone.org/main/trunk/gli
-in the Greenstone folder.
+in the Greenstone2 folder.
 
 -- Compiling and installing on Unix --
 
-cd to the top level Greenstone directory (i.e. the directory 
-where this file lives) and perform the following three steps.
+cd to the top level Greenstone2 directory (i.e. the directory 
+where this file lives) and run the following:
 
-1. ./configure --enable-apache-httpd
-2. make
-3. make install
+1. makegs2.sh gnome-lib imagemagick
+2. cd gli
+3. ./makegli.sh
+4. ./makejar.sh
 
-This will install the library.cgi and oaiserver.cgi executables to 
-Greenstone/cgi-bin/linux. 
-If you want to run Greenstone from a system 
-cgi-bin directory you'll need to move the library executable and 
-gsdlsite.cfg from Greenstone/cgi-bin/linux to your system cgi-bin.
+Notes:
+1. [gnome-lib] parameter: This will checkout and compile gnome-lib.
+gnome-lib is needed on most linux machines to compile wvware. If you
+don't need it. you can omit this parameter. If you need it but don't want
+to compile it, you can download a gnome-lib-minimal package for your OS by
+visiting http://trac.greenstone.org/browser/gs2-extensions/gnome-lib/trunk
+(choose the appropriate package for your OS)
+Then unzip the downloaded gnome-lib minimal package into your Greenstone2/ext
+folder.
+2. [imagemagick] parameter - if you already have imagemagick installed, or
+don't want it, you can omit this parameter.
+
+3. CGI executables - This will install the library.cgi and oaiserver.cgi
+executables to Greenstone2/cgi-bin/linux. 
+If you want to run Greenstone from a system cgi-bin directory you'll need to
+move the library executable and gsdlsite.cfg from Greenstone2/cgi-bin/linux
+to your system cgi-bin.
+4. The steps 2-4 are for compiling the Greenstone Librarian interface.
 
 Note that the Greenstone directory structure is important to the operation
-of the software. Therefore the --prefix, --bindir etc. options to configure
+of the software. Therefore the --prefix, --bindir etc. options to configure (which is run by makegs2.sh)
 make no sense and will have no effect. If you want Greenstone to be
 installed somewhere specific (say /usr/local) you'll need to move the
-entire Greenstone directory there.
+entire Greenstone2 directory there.
 
 Greenstone will install Apache into apache-httpd/linux. You can disable this 
-by running ./configure without the -enable-apache-httpd option. In that case 
-you'll need to set up your own apache to serve Greenstone. See   See 
-http://wiki.greenstone.org/wiki/index.php/Setting_up_an_Apache_Web_Server_for_Greenstone_2_Walkthrough
+by editing makegs2.sh and removing the -enable-apache-httpd option to the
+configure command. In that case you'll need to set up your own apache to
+serve Greenstone. See
+http://wiki.greenstone.org/doku.php?id=en:user_advanced:gs2_server
 for more details.  
 
-To compile the GLI, cd to the gli directory and run makegli.sh
+
 
 -- Compiling on Windows --
 
-Greenstone has been successfully compiled using Microsoft Visual C++
-versions 4.2, 6.0 and 2005. If anyone succeeds in compiling Greenstone with
-another compiler (or another version of VC++) we'd appreciate hearing about
-it at greenstone-devel@list.scms.waikato.ac.nz
-
-If you have got Greenstone from svn, you'll also need to download some Windows binaries.
-1. cd to top-level greenstone2 folder.
-2. cd bin
-3. svn co http://svn.greenstone.org/main/trunk/binaries/windows/bin windows
-
+Prerequisites:
+ * Java JDK 8 or later
+ * PERL (ActivePerl for Windows
+ * Visual Studio 8 or later
 
 There is a batch script you can run to set up and compile Greenstone.
@@ -71,7 +84,8 @@
 
 
-For more information about compiling Greenstone, or for manual compling 
+For more information about compiling Greenstone, or for manual compiling 
 instructions, see
-http://wiki.greenstone.org/wiki/index.php/Compiling_Greenstone
+http://wiki.greenstone.org/doku.php?id=en:user_advanced:installation
+http://wiki.greenstone.org/doku.php?id=en:developer:windows_source_install
 
 These scripts will unpack necessary zip files, set up paths etc, then compile 
@@ -80,11 +94,4 @@
 directory and server.exe to the top level Greenstone directory. 
 
-To run the web library you'll need to set up a web server to serve Greenstone. 
-Then you'll need to edit Greenstone\cgi-bin\gsdlsite.cfg. See 
-http://wiki.greenstone.org/wiki/index.php/Setting_up_an_Apache_Web_Server_for_Greenstone_2_Walkthrough
-for more details about using Apache, or 
-http://wiki.greenstone.org/wiki/index.php/Installing_Greenstone#How_do_I_use_Greenstone.27s_web_library_with_IIS.3F
-for more details about using IIS.
-
 To compile the GLI, cd to the gli directory and run makegli.bat.
 