Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/ACTIVATE.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/ACTIVATE.sh	(revision 36267)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/ACTIVATE.sh	(revision 36267)
@@ -0,0 +1,1 @@
+activate.pl -site localsite tiriana-audio
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/BUILDCOL.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/BUILDCOL.sh	(revision 36267)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/BUILDCOL.sh	(revision 36267)
@@ -0,0 +1,1 @@
+buildcol.pl -removeold -site localsite tiriana-audio
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/IMPORT.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/IMPORT.sh	(revision 36267)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/IMPORT.sh	(revision 36267)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+import.pl -removeold $*  -site localsite tiriana-audio 
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/RECONFIGURE.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/RECONFIGURE.sh	(revision 36267)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/RECONFIGURE.sh	(revision 36267)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+wget -O /dev/null 'http://localhost:8383/greenstone3/library?a=s&sa=c&sc=tiriana-audio' 
+
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/etc/collectionConfig.xml	(revision 36266)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/etc/collectionConfig.xml	(revision 36267)
@@ -13,10 +13,12 @@
 	<displayItemList>
 		<displayItem assigned="true" lang="en" name="name">Tiriana-Audio</displayItem>
-		<displayItem assigned="true" lang="en" name="CardNotes,Notes,TapeLabel,TapeName">all fields</displayItem>
+		<displayItem assigned="true" lang="en" name="CardNotes,Notes,TapeLabel,TapeName,usercomment">all fields</displayItem>
 		<displayItem assigned="true" lang="en" name="CardNotes,Notes">notes</displayItem>
+		<displayItem assigned="true" lang="en" name="usercomment">usercomment</displayItem>
 		<displayItem assigned="true" lang="en" name="document:text">text</displayItem>
 		<displayItem assigned="true" lang="en" name="document:ex.Title">Title</displayItem>
 		<displayItem assigned="true" lang="en" name="document:ex.Source">Source</displayItem>
 		<displayItem assigned="true" lang="en" name="document">document</displayItem>
+		<displayItem assigned="true" lang="en" name="CardNotes,Notes,TapeLabel,TapeName">all fields</displayItem>
 		<displayItem assigned="true" lang="en" name="text">text</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
@@ -27,42 +29,42 @@
 		<displayItem assigned="true" lang="en" name=".CardNotes,Notes">CardNotes,Notes</displayItem>
 	</displayItemList>
-	<format>  <gsf:template name="choose-title">
-    <gsf:choose-metadata>
-      <gsf:metadata name="dc.Title"/>
-      <gsf:metadata name="TapeName"/>
-      <gsf:metadata name="exp.Title"/>
-      <gsf:metadata name="ex.dc.Title"/>
-      <gsf:metadata name="Title"/>
-      <gsf:default>Untitled</gsf:default>
-    </gsf:choose-metadata>
-  </gsf:template>
+	<format>
+			<gsf:template name="choose-title">
+				<gsf:choose-metadata>
+					<gsf:metadata name="dc.Title"/>
+					<gsf:metadata name="TapeName"/>
+					<gsf:metadata name="exp.Title"/>
+					<gsf:metadata name="ex.dc.Title"/>
+					<gsf:metadata name="Title"/>
+					<gsf:default>Untitled</gsf:default>
+				</gsf:choose-metadata>
+			</gsf:template>
 <!--
 modify the collection description template to output the "this collection contains X documents and was last built Y days ago" message
 -->
-  <xsl:template name="coll-description">
-    <p>
-      <gslib:collectionDescriptionTextAndServicesLinks/>
-    </p>
-    <xsl:variable name="raw_date">
-      <gslib:collectionMeta name="buildDate"/>
-    </xsl:variable>
-    <xsl:variable name="formatted_date">
-      <xsl:value-of select="util:formatTimeStamp($raw_date, 0, 3, /page/@lang)"/>
-    </xsl:variable>
-    <xsl:variable name="numdocs">
-      <gslib:collectionMeta name="numDocs"/>
-    </xsl:variable>
-    <p>
-      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.standarddescriptiondays', concat($numdocs, ';', $formatted_date))"/>
-    </p>
-  </xsl:template>
-
-</format>
-	<search type="lucene">
+			<xsl:template name="coll-description">
+				<p>
+					<gslib:collectionDescriptionTextAndServicesLinks/>
+				</p>
+				<xsl:variable name="raw_date">
+					<gslib:collectionMeta name="buildDate"/>
+				</xsl:variable>
+				<xsl:variable name="formatted_date">
+					<xsl:value-of select="util:formatTimeStamp($raw_date, 0, 3, /page/@lang)"/>
+				</xsl:variable>
+				<xsl:variable name="numdocs">
+					<gslib:collectionMeta name="numDocs"/>
+				</xsl:variable>
+				<p>
+					<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.standarddescriptiondays', concat($numdocs, ';', $formatted_date))"/>
+				</p>
+			</xsl:template>
+		</format>
+	<search type="solr">
 		<level name="document">
 			<displayItem lang="en" name="name">document</displayItem>
 		</level>
 		<defaultLevel name="document"/>
-		<index name="CardNotes,Notes,TapeLabel,TapeName">
+		<index name="CardNotes,Notes,TapeLabel,TapeName,usercomment">
 			<displayItem lang="en" name="name">all fields</displayItem>
 		</index>
@@ -70,5 +72,8 @@
 			<displayItem lang="en" name="name">notes</displayItem>
 		</index>
-		<defaultIndex name="CardNotes,Notes,TapeLabel,TapeName"/>
+		<index name="usercomment">
+			<displayItem lang="en" name="name">usercomment</displayItem>
+		</index>
+		<defaultIndex name="CardNotes,Notes,TapeLabel,TapeName,usercomment"/>
 		<sort name="rank">
 			<displayItem lang="en" name="name">rank</displayItem>
@@ -77,21 +82,24 @@
 			<displayItem lang="en" name="name">natural (build) order</displayItem>
 		</sort>
+		<facet name="username">
+			<displayItem lang="en" name="name">username</displayItem>
+		</facet>
 		<searchType name="plain"/>
 		<searchType name="simpleform"/>
 		<searchType name="advancedform"/>
-		<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:link type="document">
-        <gsf:icon type="document"/>
-      </gsf:link>
-    </td>
-    <td>
-      <gsf:link type="document">
-        <xsl:call-template name="choose-title"/>
-      </gsf:link>
-    </td>
-  </gsf:template>
-
-</format>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:link type="document">
+						<xsl:call-template name="choose-title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
 	</search>
 	<infodb type="jdbm"/>
@@ -100,4 +108,8 @@
 			<plugin name="ZIPPlugin"/>
 			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="StructuredAudioPlugin">
+				<option name="-converttotype" value="mp3"/>
+				<option name="-segment_audio"/>
+			</plugin>
 			<plugin name="TextPlugin"/>
 			<plugin name="HTMLPlugin"/>
@@ -135,71 +147,73 @@
 			<option name="-sort" value="ex.OrderTapeBy"/>
 			<option name="-buttonname" value="Tape Name"/>
-			<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:link type="document">
-        <gsf:icon type="document"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="document">Side:<gsf:metadata name="Side"/><gsf:switch><gsf:metadata name="UnnamedIndex"/><gsf:when test="exists"><i style="padding-left: 12px">(Unnamed index:<gsf:metadata name="UnnamedIndex"/>)</i></gsf:when></gsf:switch><gsf:switch><gsf:metadata name="Chapter"/><gsf:when test="exists"><i style="padding-left: 12px">(Chapter:<gsf:metadata name="Chapter"/>)</i></gsf:when></gsf:switch></gsf:link>
-    </td>
-  </gsf:template>
-
-</format>
+			<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="document">Side:<gsf:metadata name="Side"/><gsf:switch><gsf:metadata name="UnnamedIndex"/><gsf:when test="exists"><i style="padding-left: 12px">(Unnamed index:<gsf:metadata name="UnnamedIndex"/>)</i></gsf:when></gsf:switch><gsf:switch><gsf:metadata name="Chapter"/><gsf:when test="exists"><i style="padding-left: 12px">(Chapter:<gsf:metadata name="Chapter"/>)</i></gsf:when></gsf:switch></gsf:link>
+				</td>
+			</gsf:template>
+		</format>
 		</classifier>
-		<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:link type="document">
-        <gsf:icon type="document"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="document">
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="document">
 <!--
 Defined in the global format statement
 -->
-        <xsl:call-template name="choose-title"/>
-        <gsf:switch>
-          <gsf:metadata name="Source"/>
-          <gsf:when test="exists">
-            <br/>
-            <i>(<gsf:metadata name="Source"/>)</i>
-          </gsf:when>
-        </gsf:switch>
-      </gsf:link>
-    </td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
-    <td valign="top">
-      <gsf:link style="static" type="classifier">
-        <gsf:icon type="classifier"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="classifier">
-        <gsf:metadata name="Title"/>
-      </gsf:link>
-    </td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
-    <gsf:link style="static" type="classifier">
-      <gsf:metadata name="Title"/>
-    </gsf:link>
-  </gsf:template>
-
-</format>
+						<xsl:call-template name="choose-title"/>
+						<gsf:switch>
+							<gsf:metadata name="Source"/>
+							<gsf:when test="exists">
+								<br/>
+								<i>(<gsf:metadata name="Source"/>)</i>
+							</gsf:when>
+						</gsf:switch>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link style="static" type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:metadata name="Title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
+				<gsf:link style="static" type="classifier">
+					<gsf:metadata name="Title"/>
+				</gsf:link>
+			</gsf:template>
+		</format>
 	</browse>
 	<display>
-		<format>  <gsf:option name="TOC" value="true"/>
-  <gsf:option name="allowUserComments" value="false"/>
-  <gsf:option name="allowDocumentEditing" value="true"/>
-  <gsf:option name="allowMapGPSEditing" value="true"/>
-  <gsf:headMetaTags>
-    <gsf:metadata name="CardNotes"/>
-    <gsf:metadata name="Notes"/>
-    <gsf:metadata name="TapeLabel"/>
-    <gsf:metadata name="IsMicroCassette"/>
-    <gsf:metadata name="Source"/>
-  </gsf:headMetaTags>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:option name="allowUserComments" value="true"/>
+			<gsf:option name="allowDocumentEditing" value="true"/>
+			<gsf:option name="allowMapGPSEditing" value="true"/>
+			<gsf:headMetaTags>
+				<gsf:metadata name="CardNotes"/>
+				<gsf:metadata name="Notes"/>
+				<gsf:metadata name="TapeLabel"/>
+				<gsf:metadata name="IsMicroCassette"/>
+				<gsf:metadata name="Chapter"/>
+				<gsf:metadata name="Source"/>
+			</gsf:headMetaTags>
 <!--
 Overwriting this template allows you to change the heading of the document.
@@ -253,6 +267,5 @@
 </gsf:template>
 -->
-
-</format>
+		</format>
 	</display>
 	<replaceListRef id="gs2-standard"/>
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/metadata/profile.xml
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/metadata/profile.xml	(revision 36266)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/metadata/profile.xml	(revision 36267)
@@ -5,3 +5,7 @@
 <!ATTLIST Action target CDATA ''>
 ]>
-<Profiles/>
+<Profiles>
+	<Action source="username" target=""/>
+	<Action source="usertimestamp" target=""/>
+	<Action source="usercomment" target=""/>
+</Profiles>
Index: /main/trunk/model-sites-dev/atea/collect/tiriana-audio/transform/pages/document.xsl
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/tiriana-audio/transform/pages/document.xsl	(revision 36266)
+++ /main/trunk/model-sites-dev/atea/collect/tiriana-audio/transform/pages/document.xsl	(revision 36267)
@@ -6,32 +6,11 @@
 	exclude-result-prefixes="java util gsf">
 
-	<!-- <xsl:template name="documentNodeAudio">
-		<div>
-			<audio id="audioPlayer" controls="controls">
-				<xsl:attribute name="src">
-					<xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/>
-				</xsl:attribute>
-				Your browser does not support the audio element.
-			</audio>
-		</div>
-		Download: <gsf:link type="source"><gsf:metadata name="Source"/></gsf:link>
-	</xsl:template> -->
-
 	<xsl:template name="documentNodeAudio">
-
-		<!-- <script type="text/javascript">
-			<xsl:text disable-output-escaping="yes">
-				$(document).ready(function() {
-					loadAudio('</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/><xsl:text disable-output-escaping="yes">',
-					'</xsl:text>interfaces/{$interface_name}/images/Te_Kakano_C9B.csv<xsl:text disable-output-escaping="yes">');
-				})
-			</xsl:text>
-		</script> -->
 
 		<script type="text/javascript">
 			<xsl:text disable-output-escaping="yes">
 				$(document).ready(function() {
-					loadAudio('</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/><xsl:text disable-output-escaping="yes">',
-					'</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/speaker-diarization.csv<xsl:text disable-output-escaping="yes">');
+					loadAudio('</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Audio"/><xsl:text disable-output-escaping="yes">',
+					'</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/structured-audio.csv<xsl:text disable-output-escaping="yes">');
 				})
 			</xsl:text>
@@ -50,16 +29,17 @@
             <div id="toolbar">
                 <div class="flex-leftalign toolbar-section">
+					<img src="interfaces/{$interface_name}/images/bootstrap/chapters.svg" id="chapterButton" title="Click to toggle sections" />
                     <img src="interfaces/{$interface_name}/images/bootstrap/zoom-out.svg" id="zoomIcon" class="noHover" />
-                    <input type="range" min="1" max="100" value="25" id="slider" />
+                    <input type="range" min="1" max="100" value="25" id="slider" title="Click and drag to zoom in/out" />
                     <img src="interfaces/{$interface_name}/images/bootstrap/zoom-in.svg" id="zoomIcon" class="noHover" />
                 </div>
 				<div class="flex-centeralign toolbar-section">
-					<img src="interfaces/{$interface_name}/images/bootstrap/back.svg" id="backButton" />
-					<img src="interfaces/{$interface_name}/images/bootstrap/play.svg" id="playPauseButton" />
-					<img src="interfaces/{$interface_name}/images/bootstrap/forward.svg" id="forwardButton" />
+					<img src="interfaces/{$interface_name}/images/bootstrap/back.svg" id="backButton" title="Click to skip back" />
+					<img src="interfaces/{$interface_name}/images/bootstrap/play.svg" id="playPauseButton" title="Click to play/pause" />
+					<img src="interfaces/{$interface_name}/images/bootstrap/forward.svg" id="forwardButton" title="Click to skip forward"/>
 				</div>
 				<div class="flex-rightalign toolbar-section">
-					<img src="interfaces/{$interface_name}/images/bootstrap/chapters.svg" id="chapterButton" />
-					<img src="interfaces/{$interface_name}/images/bootstrap/unmute.svg" id="muteButton" />
+					<img src="interfaces/{$interface_name}/images/bootstrap/download.svg" id="downloadButton" title="Click to download audio" />
+					<img src="interfaces/{$interface_name}/images/bootstrap/unmute.svg" id="muteButton" title="Click to mute/unmute" />
 				</div>
             </div>
@@ -92,5 +72,5 @@
 	<xsl:template name="documentHeading">
 		<span style="font-weight:bold; font-size: 120%;">
-			<xsl:call-template name="choose-title" />
+			<xsl:call-template name="choose-title" />: Side <gsf:metadata name="Side"/>
 		</span>
 		<table id="tapeDetails">
@@ -98,5 +78,5 @@
 				<gsf:metadata name='Notes' />
 				<gsf:when test='exists'>
-					<tr><td id="fCol">Notes:</td><td><gsf:metadata name="Notes" highlight="highlight" /></td></tr>
+					<tr><td>Notes:</td><td><gsf:metadata name="Notes" highlight="highlight" /></td></tr>
 				</gsf:when>
 			</gsf:switch>
@@ -104,5 +84,5 @@
 				<gsf:metadata name='TapeLabel' />
 				<gsf:when test='exists'>
-					<tr><td id="fCol">Tape Label:</td><td><gsf:metadata name="TapeLabel" highlight="highlight" /></td></tr>
+					<tr><td>Tape Label:</td><td><gsf:metadata name="TapeLabel" highlight="highlight" /></td></tr>
 				</gsf:when>
 			</gsf:switch>
@@ -110,5 +90,5 @@
 				<gsf:metadata name='CardNotes' />
 				<gsf:when test='exists'>
-					<tr><td id="fCol">Card Notes:</td><td><gsf:metadata name="CardNotes" highlight="highlight" /></td></tr>
+					<tr><td>Card Notes:</td><td><gsf:metadata name="CardNotes" highlight="highlight" /></td></tr>
 				</gsf:when>
 			</gsf:switch>
@@ -116,5 +96,26 @@
 				<gsf:metadata name='IsMicroCassette' />
 				<gsf:when test='equals' test-value='y'>
-					<tr><td id="fCol">Microcassette?</td><td>Yes</td></tr>
+					<tr><td>Microcassette?</td><td>Yes</td></tr>
+				</gsf:when>
+			</gsf:switch>
+			<gsf:switch>
+				<gsf:metadata name='Chapter' />
+				<gsf:when test='exists'>
+					<tr><td>Chapter:</td><td><gsf:metadata name="Chapter" highlight="highlight" /></td></tr>
+				</gsf:when>
+			</gsf:switch>
+			<gsf:switch>
+				<gsf:metadata name='AudioDuration' />
+				<gsf:when test='exists'>
+					<tr><td>Audio Duration:</td><td id="audio-duration">
+						<script type="text/javascript">
+							<xsl:text disable-output-escaping="yes">
+								$(document).ready(function() {
+									var audio_duration = formatAudioDuration('</xsl:text><gsf:metadata name="AudioDuration" /><xsl:text disable-output-escaping="yes">');
+									$('#audio-duration').html(audio_duration);
+								})
+							</xsl:text>
+						</script>
+					</td></tr>
 				</gsf:when>
 			</gsf:switch>
@@ -122,7 +123,4 @@
 
 		<gsf:variable name="audioSource"><gsf:metadata name="Source"/></gsf:variable>
-		<!-- <audio controls src="Coronation_A.wav" type="audio/wav">
-			Your browser does not support the audio element.
-		</audio> -->
 
 	</xsl:template>