Index: /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml	(revision 36277)
+++ /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml	(revision 36277)
@@ -0,0 +1,196 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:gslib="http://www.greenstone.org/skinning" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<metadataList>
+		<metadata lang="en" name="creator">greenstone@cs.waikato.ac.nz</metadata>
+		<metadata lang="en" name="maintainer"/>
+		<metadata lang="en" name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem assigned="true" dictionary="collectionConfig" key="name" name="name"/>
+		<displayItem assigned="true" lang="en" name="name">LOM Demonstration</displayItem>
+		<displayItem assigned="true" dictionary="collectionConfig" key="name" name="name"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="shortDescription" name="shortDescription"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="description1" name="description1"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="description2" name="description2"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="description3" name="description3"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="as" name="as"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="sc" name="sc"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="ar" name="ar"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key=".general^title" name=".general^title"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key=".general^description" name=".general^description"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key=".text,rawtext" name=".text,rawtext"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key=".general^keyword" name=".general^keyword"/>
+	</displayItemList>
+	<format/>
+	<search type="mgpp">
+		<level name="document"/>
+		<defaultLevel name="document"/>
+		<index name="general^keyword">
+			<displayItem lang="en" name="name">general^keyword</displayItem>
+		</index>
+		<index name="general^title">
+			<displayItem lang="en" name="name">general^title</displayItem>
+		</index>
+		<index name="text,rawtext">
+			<displayItem lang="en" name="name">text,rawtext</displayItem>
+		</index>
+		<index name="general^description">
+			<displayItem lang="en" name="name">general^description</displayItem>
+		</index>
+		<defaultIndex name="text"/>
+		<indexOption name="accentfold"/>
+		<indexOption name="casefold"/>
+		<indexOption name="stem"/>
+		<indexSubcollection name="arts,science">
+			<displayItem lang="en" name="name">arts,science</displayItem>
+		</indexSubcollection>
+		<indexSubcollection name="arts">
+			<displayItem lang="en" name="name">arts</displayItem>
+		</indexSubcollection>
+		<indexSubcollection name="science">
+			<displayItem lang="en" name="name">science</displayItem>
+		</indexSubcollection>
+		<subcollection filter="dc.Subject/Science" name="science"/>
+		<subcollection filter="dc.Subject/Arts" name="arts"/>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>{If}{[numleafdocs],([numleafdocs])}</td><td>{OR}{[general^title],[Title]}</td>]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td/>
+				<td>
+					<gsf:choose-metadata>
+						<gsf:metadata name="general^title"/>
+						<gsf:metadata name="Title"/>
+					</gsf:choose-metadata>
+				</td>
+			</gsf:template>
+		</format>
+	</search>
+	<infodb type="gdbm"/>
+	<import>
+		<pluginList>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="LOMPlugin">
+				<option name="-download_srcdocs" value="(?i)\\.(html?|je?pg|gif)$"/>
+			</plugin>
+			<plugin name="HTMLPlugin"/>
+			<plugin name="ImagePlugin"/>
+			<plugin name="PDFPlugin"/>
+			<plugin name="WordPlugin"/>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+	</import>
+	<browse>
+		<classifier name="List">
+			<option name="-metadata" value="dc.Subject/ex.general^title;Title"/>
+			<option name="-removesuffix" value="(\\s*(\\/|\\(|\\)|\\,|\\:|\\;|\\-).*)|\\s+"/>
+			<option name="-buttonname" value="Subject"/>
+			<option name="-partition_type_within_level" value="none"/>
+		</classifier>
+		<classifier name="DateList">
+			<option name="-metadata" value="lifecycle^contribute^date"/>
+			<option name="-buttonname" value="Date"/>
+			<option name="-sort" value="general^title"/>
+			<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>[general^title]</td>]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:metadata name="general^title"/>
+				</td>
+			</gsf:template>
+		</format>
+		</classifier>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>{If}{[numleafdocs],([numleafdocs])}</td><td>{OR}{[general^title],[Title]}</td>]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td/>
+				<td>
+					<gsf:choose-metadata>
+						<gsf:metadata name="general^title"/>
+						<gsf:metadata name="Title"/>
+					</gsf:choose-metadata>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>{If}{[numleafdocs],([numleafdocs])}</td><td>{OR}{[general^title],[Title]}</td>]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td>(<gsf:metadata name="numleafdocs"/>)</td>
+				<td>
+					<gsf:choose-metadata>
+						<gsf:metadata name="general^title"/>
+						<gsf:metadata name="Title"/>
+					</gsf:choose-metadata>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode" mode="horizontal">
+				<gsf:format-gs2><![CDATA[[link][highlight]{Or}{[dls.Title],[dc.Title],[ex.Title],Untitled}[/highlight][/link]]]></gsf:format-gs2>
+				<gsf:link type="classifier">
+					<span class="highlight">
+						<gsf:choose-metadata><gsf:metadata name="dls.Title"/><gsf:metadata name="dc.Title"/><gsf:metadata name="Title"/>Untitled</gsf:choose-metadata>
+					</span>
+				</gsf:link>
+			</gsf:template>
+		</format>
+	</browse>
+	<display>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:option name="AllowUserComments" value="false"/>
+<!--
+Overwriting this template allows you to change the heading of the document.
+-->
+<!--
+<gsf:template name="documentHeading"><span style="font-weight:bold; font-size: 120%;"><xsl:call-template name="choose-title"/></span></gsf:template>
+-->
+<!--
+Overwriting this template can be used to redefine the content of the whole document.This is useful for simple documents, but not recommended for more complex documents(e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+-->
+<!--
+<gsf:template name="documentContent"><div id="gs-document"><xsl:call-template name="documentPre"/><xsl:call-template name="wrappedSectionImage"/><div id="gs-document-text"><xsl:call-template name="documentNodeText"/></div></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of section headings.
+-->
+<!--
+<gsf:template name="sectionHeading"><xsl:call-template name="choose-title"/></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of the top-level section.
+-->
+<!--
+<gsf:template name="topLevelSectionContent"><xsl:call-template name="wrappedSectionImage"/><xsl:call-template name="wrappedSectionText"/></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of sections.
+-->
+<!--
+<gsf:template name="sectionContent"><xsl:call-template name="wrappedSectionImage"/><xsl:call-template name="wrappedSectionText"/></gsf:template>
+-->
+		</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+	<replaceListRef id="gs2-image"/>
+</CollectionConfig>
Index: /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36277)
+++ /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36277)
@@ -0,0 +1,16 @@
+as=all resources
+sc=science resources
+name=LOM Demonstration
+ar=arts resources
+.general^title=Titles
+.general^description=Descriptions
+.text,rawtext=All text
+.general^keyword=Keywords
+
+shortDescription=<p>This collection is a sample excerpt of educational resources from the University of Calgary's Learning Commons Educational Object Repository (no longer active). Taken from the subject areas of the arts and science, _numdocs_ items from the repository were exported in the IEEE LOM (Learning Object Metadata) format and digested into a Greenstone collection. For sample LOM metadata, see this <a href="_httpcollection_/import/arts/657841.xml">arts</a> record, or this <a href="_httpcollection_/import/science/582041.xml">science</a> record.</p>
+
+description1=<p>Traditional educational learning object repositories base searching and browsing around the provided metadata. This demonstration collection goes one step further and provides <i>full-text</i> indexing of the on-line resources, where possible.</p>
+
+description2=<p>Browse around the collection's items ordered by subject then title, or view the items chronologically. Alternatively search the text or titles of the items in the collection, optionally restricted to arts or science. When you view an item from the collection various views of it are available. You start by viewing its Learning Object Metadata (LOM) record in a tabulated form and divided into sections: these sections can be expanded or contracted to reveal more or less information as desired. Use the tabs at the top of the table to change the view of the learning object. There will always be a tab for &quot;XML Record&quot; which displays the metadata in its original IEEE LOM format. Depending on whether or not the learning object references an on-line resource that is available for indexing, a third tab may be present that displays the source document.</p>
+
+description3=<h3>How the collection works</h3><p>The records were exported from the Calgary Repository in LOM format. LOMPlugin is used to process the records. Using the -download_srcdocs option to the plugin will search for general^identifier^entry or technical^location, and attempt to download the source document into a <a href="_httpcollection_/import/arts/_gsdldown.all">_gsdldown.all</a> folder in the same folder as the LOM record.</p>
Index: /documented-examples/trunk/lomdemo-e/transform/pages/about.xsl
===================================================================
--- /documented-examples/trunk/lomdemo-e/transform/pages/about.xsl	(revision 36277)
+++ /documented-examples/trunk/lomdemo-e/transform/pages/about.xsl	(revision 36277)
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
+	
+	<xsl:template name="coll-description">
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='shortDescription']"/>
+	  
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description1']"/>
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description2']"/>
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description3']"/>
+	  
+	</xsl:template>
+
+</xsl:stylesheet>  
+