Index: /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html
===================================================================
--- /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html	(revision 36318)
+++ /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html	(revision 36319)
@@ -2,5 +2,5 @@
   <head>
     <title>
-      DOI-Stinky: Navigation Bar
+      DOI-Stinky: Investigation Bar
     </title>
     <meta charset="utf-8" />
@@ -9,6 +9,8 @@
   
   <body>
-    <div style="width: 100%; background-color: wheat; padding: 8px;">
-      <h2>DOI-Stinky Bar</h2>
+    <div style="width: 100%; background-color: wheat; padding: 8px; text-align: left;">
+      <img style="vertical-align: bottom;" alt="DOI Stinky Logo"
+	   src="//bib-stinky.so-we-must-think.space/images/doi-stinky-logo-57x61.png" />
+      <h2 style="display:inline;">DOI-Stinky Investigation Bar</h2>
     </div>
   </body>
Index: /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js
===================================================================
--- /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js	(revision 36319)
+++ /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js	(revision 36319)
@@ -0,0 +1,58 @@
+// ==UserScript==
+// @name         Bib Stinky
+// @namespace    http://bibstinky.sowemustthink.space/
+// @version      0.1
+// @description  Helps identify when metadata stored by a publication provider or agregator might be a bit 'off'
+// @author       David Bainbridge
+// @author       Dave Nichols
+// @author       Mike Twidale
+// @require   https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js
+// @match        https://www.cs.waikato.ac.nz/*
+// @match        https://search.crossref.org/*
+// @grant       GM_xmlhttpRequest
+// @connect     localhost
+// @connect     bibstinky.sowemustthink.space
+// ==/UserScript==
+
+//alert("foo");
+
+(function() {
+  'use strict';
+
+  var $ = window.jQuery;
+
+  var elmWrapperDiv = document.createElement('div');
+  elmWrapperDiv.id = "doiStinkyBar";
+
+  $(document).ready(function() {
+    console.log("Adding in <div> to display DOI Stinky bar at top:");
+    elmWrapperDiv.style.width = '100%';
+    //elmWrapperDiv.style.textAlign = 'center';
+    elmWrapperDiv.style.fontFamily = 'sans-serif';
+    elmWrapperDiv.style.backgroundColor = 'wheat';
+
+    elmWrapperDiv.style.zIndex = '25';
+    elmWrapperDiv.style.position = 'fixed';
+
+    document.body.insertBefore(elmWrapperDiv, document.body.firstChild);
+
+    GM_xmlhttpRequest ( {
+      method:     'GET',
+      url:        'https://bibstinky.sowemustthink.space/doi-stinky-bar.html',
+      onload:     function (responseDetails) {
+                    console.log (
+                        "GM_xmlhttpRequest() response is:\n",
+                        responseDetails.responseText.substring (0, 80) + '...'
+                    );
+
+                    var returned_html_str = responseDetails.responseText;
+                    var body_str = returned_html_str.substring(returned_html_str.indexOf("<body>")+6,returned_html_str.indexOf("</body>"))
+                    console.log("returned body = " + body_str.substring (0) + '...');
+
+                    var body = $.parseHTML(body_str);
+                    $("#doiStinkyBar").append(body);
+                }
+    } );
+});
+
+})();
Index: /other-projects/bib-stinky/trunk/nodejs-server/public/images/doi-stinky-logo.svg
===================================================================
--- /other-projects/bib-stinky/trunk/nodejs-server/public/images/doi-stinky-logo.svg	(revision 36319)
+++ /other-projects/bib-stinky/trunk/nodejs-server/public/images/doi-stinky-logo.svg	(revision 36319)
@@ -0,0 +1,82 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   id="svg2"
+   sodipodi:docname="doi-stinky-logo.svg"
+   viewBox="0 0 128 128"
+   sodipodi:version="0.32"
+   version="1.0"
+   inkscape:version="1.1.1 (3bf5ae0d25, 2021-09-20)"
+   inkscape:export-filename="C:\Users\davidb\Downloads\nicubunu-Feces--just-the-stinky-lines.png"
+   inkscape:export-xdpi="96"
+   inkscape:export-ydpi="96"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
+  <defs
+     id="defs4">
+    <linearGradient
+       id="linearGradient2261">
+      <stop
+         id="stop2263"
+         style="stop-color:#735017"
+         offset="0" />
+      <stop
+         id="stop2265"
+         style="stop-color:#93651d"
+         offset="1" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     bordercolor="#666666"
+     inkscape:pageshadow="2"
+     inkscape:guide-bbox="true"
+     pagecolor="#ffffff"
+     inkscape:window-height="1017"
+     inkscape:zoom="4"
+     inkscape:window-x="-8"
+     borderopacity="1.0"
+     inkscape:current-layer="layer1"
+     inkscape:cx="49.625"
+     inkscape:cy="65.625"
+     showguides="true"
+     inkscape:window-y="-8"
+     inkscape:window-width="1920"
+     inkscape:pageopacity="0.0"
+     inkscape:document-units="px"
+     inkscape:pagecheckerboard="0"
+     showgrid="false"
+     inkscape:window-maximized="1" />
+  <g
+     id="layer1"
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer">
+    <path
+       id="path2273"
+       sodipodi:nodetypes="cccccccccccccccccccccccccccccccccccccccccccccccccccc"
+       style="fill:#000000;stroke-width:0.973558"
+       d="m 99.03603,2.688 c -5.79778,0.498 -11.118809,5.725 -11.38325,11.971 1.119369,6.021 8.681032,8.776 11.1226,14.047 0.6502,3.065 -4.52676,6.14 -3.261428,9.192 0.711809,1.455 -0.657783,3.752 -1.185716,3.92 2.694637,0.101 5.596844,-3.058 4.184604,-5.875 -1.408455,-2.943 2.56857,-5 1.80084,-7.936 C 98.52516,23.222 91.898988,20.49 90.067811,15.706 88.548465,12.405 90.802367,8.144 93.84959,6.004 95.455188,4.668 97.554596,4.202 99.03603,2.688 Z M 69.102159,6.54 c -2.740131,0.536 -5.595895,3.36 -4.721063,6.511 1.179081,3.597 5.884031,4.886 6.925679,8.557 -0.299509,2.759 -5.042372,5.241 -4.256634,8.243 1.216046,3.049 4.042428,5.123 4.858496,8.389 2.375223,1.007 2.881356,-1.039 1.873829,-2.963 -1.457738,-2.01 -4.811105,-3.15 -4.758975,-6.156 -0.01422,-2.928 5.200657,-6.367 4.083184,-9.524 C 71.366487,16.576 66.653007,15.553 66.388567,11.755 65.775331,10.454 67.512675,6.9 69.102159,6.54 Z m -33.218995,5.006 c -3.020684,-0.221 -6.771185,1.814 -6.774029,5.385 -0.05971,4.086 4.86134,5.776 6.900088,8.802 1.262489,2.592 -1.768621,7.054 -4.411128,7.844 -2.476638,1.861 -1.835916,5.76 0.03697,7.828 1.006579,1.842 3.879404,4.93 5.726694,2.459 0.77626,-2.208 -3.224464,-2.569 -4.430084,-3.982 -1.635927,-1.433 0.07677,-5.268 1.354427,-6.946 2.289919,-1.505 5.070806,-3.702 3.872769,-6.995 -0.753512,-2.678 -5.023416,-4.084 -6.278322,-6.461 -1.271019,-1.867 -0.08815,-4.952 1.943967,-6.484 0.635036,-0.56 1.361062,-0.984 2.058653,-1.45 z M 123.81,29.275 c -5.5068,1.239 -11.64864,1.595 -16.08441,5.69 -2.23684,2.354 -0.65399,6.03 1.23216,8.033 1.46911,2.641 0.72034,3.456 -1.10894,5.204 -2.23684,0.893 -3.48796,8.844 -0.42652,7.027 1.36485,-2.512 1.45963,-5.721 3.6017,-7.765 1.95249,-1.821 0.62555,-4.325 -1.35538,-6.36 -1.1279,-1.754 -0.36017,-5.176 1.44068,-6.908 2.44536,-2.127 5.90488,-1.134 8.69146,-2.381 1.49754,-0.505 2.93822,-1.314 4.00925,-2.54 z M 10.877927,37.869 c -3.3337469,0.026 -0.527837,4.622 2.16623,3.522 2.500524,2.066 0.399314,6.814 0.300647,9.619 0.197998,3.518 4.69168,5.365 5.692572,8.459 0.800903,2.342 -4.560124,4.87 -1.819803,6.309 2.399866,-0.378 2.956232,-3.147 3.853813,-5.1 0.859667,-2.3 -0.868198,-4.121 -2.742975,-5.64 -2.175234,-1.728 -3.721119,-4.364 -3.015945,-7.134 0.920328,-3.022 1.202776,-7.359 -1.639245,-8.416 -0.942412,-0.518 -1.916859,-0.982 -2.795294,-1.619 z" />
+    <circle
+       style="fill:#fcb425;stroke-width:0.654297"
+       cx="63.875"
+       cy="83.125"
+       id="circle2"
+       r="41.875" />
+    <path
+       style="fill:#231f20;stroke-width:0.654297"
+       d="m 56.405438,99.61735 h -7.756235 v -3.15743 c -0.787507,0.98858 -2.640424,1.99631 -3.444687,2.4487 -1.407459,0.7875 -3.318636,1.30023 -5.111473,1.30023 -2.898696,0 -5.479032,-0.91572 -7.741023,-2.90961 -2.697631,-2.37927 -3.965199,-6.01674 -3.965199,-9.937525 0,-3.987805 1.382328,-7.171352 4.146976,-9.550616 2.194965,-1.893365 4.879149,-3.408748 7.727575,-3.408748 1.658795,0 3.704504,0.148755 5.162232,0.852477 0.837771,0.402135 2.337559,1.348325 3.225599,2.269883 V 60.892368 h 7.756235 z M 48.475424,87.38684 c 0,-1.47448 -0.404523,-3.239782 -1.443359,-4.261865 -1.038844,-1.038844 -2.927425,-1.96039 -4.401908,-1.96039 -1.642033,0 -3.163183,1.194423 -4.21878,2.434329 -0.854532,1.00532 -1.281795,2.5552 -1.281795,3.845381 0,1.290169 0.484713,2.725155 1.339238,3.730475 1.038837,1.23992 2.157862,2.08965 3.816655,2.08965 1.491238,0 3.264919,-0.62594 4.287008,-1.64802 1.038836,-1.02208 1.902941,-2.73832 1.902941,-4.22956 z"
+       id="path4" />
+    <path
+       style="fill:#ffffff;stroke-width:0.654297"
+       d="m 92.789913,61.052281 c -1.290168,0 -2.387652,0.452398 -3.292448,1.357193 -0.888042,0.888034 -1.33206,1.977141 -1.33206,3.267322 0,1.290156 0.444018,2.387639 1.33206,3.292434 0.904796,0.904808 2.00228,1.357194 3.292448,1.357194 1.30692,0 2.404405,-0.444011 3.292437,-1.332057 0.9048,-0.904795 1.3572,-2.010665 1.3572,-3.317571 0,-1.290181 -0.4524,-2.379288 -1.3572,-3.267322 -0.904789,-0.904795 -2.002273,-1.357193 -3.292437,-1.357193 z M 72.370449,74.066243 c -4.792066,0 -8.486639,1.493767 -11.083738,4.481253 -2.144703,2.474837 -3.217048,5.311733 -3.217048,8.511352 0,3.553152 1.063967,6.549412 3.191911,8.988892 2.580344,2.9698 6.199522,4.45486 10.85754,4.45486 4.641262,0 8.252071,-1.48506 10.832408,-4.45486 2.127943,-2.43948 3.191917,-5.36478 3.191917,-8.776511 0,-3.376394 -1.072352,-6.284256 -3.217049,-8.723733 C 80.295784,75.56001 76.777136,74.066243 72.370449,74.066243 Z M 88.66807,74.973551 V 99.5978 h 8.24369 V 74.973551 Z m -16.548956,6.596212 c 1.507991,0 2.789786,0.557688 3.845383,1.671354 1.072345,1.095992 1.608525,2.439145 1.608525,4.030112 0,1.608641 -0.527802,2.969221 -1.583394,4.082881 -1.055597,1.09601 -2.345768,1.64498 -3.870514,1.64498 -1.709057,0 -3.099763,-0.67221 -4.172108,-2.01569 -0.871285,-1.07831 -1.306926,-2.315653 -1.306926,-3.712171 0,-1.378846 0.435641,-2.607458 1.306926,-3.685789 1.072345,-1.343473 2.463051,-2.015677 4.172108,-2.015677 z"
+       id="path6" />
+  </g>
+  <metadata
+     id="metadata16">
+    <rdf:RDF />
+  </metadata>
+</svg>