Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 36294)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 36320)
@@ -2,8 +2,15 @@
 expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
 collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
 chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
 bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
 book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
 blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
 float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
 green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
@@ -13,13 +20,35 @@
 gs3power:greenstone3 ì ê³µ
 error:Error:
+hide_error:ì€ë¥ ê°ì¶êž°
 # the buttons
+home_b:Home
+help_b:Help
+pref_b:Preferences
 debuginfo_b:Debug info
+login_b:ë¡ê·žìž
 # tool tips for the buttons
+home_tip:Library home page
+help_tip:Help pages
+pref_tip:ìží°íìŽì€ êž°ë³ž ì€ì  ë³ê²œ
 debuginfo_tip:Debug ë³Žêž° ìµì
  íì
+login_tip:ë¡ê·žìž
 # months - used by replaceList in siteConfig. need to change to get from java..
+num:Number
 
 aboutpage:About page
+home.quick_search:ë¹ ë¥ž ê²ì
+home.librarian_interface:The Librarian Interface
+home.gliapp_webstart:GLI Java Web ì± ìì
+home.select_a_collection:collection ì í
+home.select_a_group:collection ê·žë£¹ ì í
+home.select_a_collection_or_group:collection í¹ì ê·žë£¹ ì í
+home.no_collections:ìŽ libraryì ì íší collectionsìŽ ììµëë€.
+home.no_collections_group:ìŽ ê·žë£¹ìë ì íší collectionsìŽ ììµëë€.
 #***** logged in menu
+menu.account_settings:ê³ì  ì€ì 
+menu.enable_edit_mode:ížì§ëªšë íì±
+menu.disable_edit_mode:ížì§ëªšë ë¹íì±
+menu.logout:ë¡ê·žìì
 
 ######################
@@ -46,10 +75,53 @@
 # query page
 ########################
+query:ì°Ÿêž°
+query.nodocsmatch:{0-level-plural}ì ìŒì¹íë ì¿ŒëŠ¬ê° ììµëë€.
+query.onedocsmatch:One {0-level-single} matches the query.
+query.manydocsmatch:{0-numdocs} {1-level-plural} ì¿ŒëŠ¬ ìŒì¹.
+query.atleastdocsmatch:ìµìí {0-numdocs} {1-level-plural} ì¿ŒëŠ¬ ìŒì¹.
+query.docsreturned:{0-numdocs} {1-level-plural} ë°í.
+
+query.document:document
+query.document_plural:documents
+query.section:section
+query.section_plural:sections
 
 # eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs:Displaying {0-startnum} to {1-endnum} of {2-totalnum} {3-level-plural}
+
+query.common:ë€ì ì©ìŽë ëë¬Ž ìŒë°ì ìŽìŽì ê²ììì ì ìžëììµëë€:
+
+query.results.next:ë€ì
+query.results.previous:ìŽì 
+
+query.facet.less:ì ê² ë³Žêž°...
+query.facet.more:ë ë³Žêž°...
 
 ##################
 # prefs page
 ##################
+pref.searchpref:ì°Ÿêž° êž°ë³žì€ì 
+pref.prespref:íë ì  í
+ìŽì
+ êž°ë³ž ì€ì 
+pref.interfacelang:Interface language:
+pref.encoding:Encoding:
+pref.hitsperpage:íìŽì§ ë¹ ííž ì
+pref.maxDocs:ë°íí  ìµë ë¬žì
+pref.all:all
+pref.set_prefs:ì€ì  êž°ë³žì€ì 
+pref.set_prefs_help:ë³ê²œì ì ì¥íë €ë©Ž 'Set preferences' íŽëŠ­
+pref.favouritebasket:ì ížíë ë°êµ¬ë
+pref.documentbasket:ë¬žì ë°êµ¬ë
+pref.on:on
+pref.off:off
+pref.book:Book viewer mode:
+pref.formatedit:ížì§ëªšë í¬í»
+pref.theme:Visual theme:
+pref.switch_theme:í
+ë§ ì í
+pref.theme_default:Greenstone Default
+pref.theme_custom1:Greenstone Custom 1
+pref.theme_custom2:Greenstone Custom 2
 ##################
 # document page
@@ -76,4 +148,5 @@
 doc.map_nearby_docs:ê°ê¹ìŽ ìë ë¬žì íì
 doc.nearby_doc_tooltip:ìŽ ë¬žìì ì€ìì ë§ì°ì€ë¥Œ ê°ì žê°ëë€. íŽëŠ­íìë©Ž ë¬žìë¡ ìŽëí©ëë€.
+maps.scrolllabel:Scroll through places
 
 external.title:ìžë¶ ë§í¬
@@ -277,4 +350,8 @@
  11ì, ë§ì€ëŠ¬ë¶ì¡±ì ëŽì§ëë ëì§íž ëìêŽì <a href="{0}">Niupepa Collection</a>ê³Œ ê°ì taonga(ë³Žë¬Œ)ì ëí ì€ìí ìì
 ì ê°ì¬íêž° ìíŽ  toki pou tangata(greenstone adze)ë¥Œ ì ë¬Œíìµëë€. Tokië NgÄti WhÄtuaì Te Rarawa ííµì Bernard Makoareê° ì¡°ê°íìµëë€.
+gsdl.toki_about2:í í€ë í¬ì°ëë¬Ž(ê·žëŠ°ì€í€)ì ìë¯žë¥Œ ìì§í©ëë€. ë§ë, ê¶ì ë° ëŠ¬ëì­ì ìì§ë¡ ì¬êž°ìì ìíëë ìì
+ì ìê°ì ì£Œë ê²ì
+ëë€. ì°ê²°íŽìŒ íë ëšëší ëì
+ëë€. ê·žê²ì ëŽì§ëë ëì§íž ëìêŽìì ì»ì ì¬ìì ì°ìì±ì ê°ì²íê³  ìëŽíë ë° ì¬ì©ë©ëë€.
 
 ##################