Index: /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html
===================================================================
--- /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html	(revision 36321)
+++ /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky-bar.html	(revision 36322)
@@ -9,8 +9,23 @@
   
   <body>
-    <div style="width: 100%; background-color: wheat; padding: 8px; text-align: left;">
-      <img style="vertical-align: bottom;" alt="DOI Stinky Logo"
-	   src="//bib-stinky.so-we-must-think.space/images/doi-stinky-logo-57x61.png" />
-      <h2 style="display:inline;">DOI-Stinky Investigation Bar</h2>
+    <style>
+      .container  {
+	  display: flex;
+	  flex-direction: row; flex-wrap: nowrap;
+	  justify-content: flex-start; align-items: flex-start;
+	  width: 100%; padding: 8px; background-color: wheat;
+      }
+      .item-image { } 
+      .item-text  { flex-grow: 1; padding-left: 8px; padding-right: 8px; }
+    </style>
+    
+    <div class="container">
+      <div class="item-image" style="min-width: 57px; min-height: 61px;">
+	<img style="width: 57px; height: 61px;"
+	     src="//bib-stinky.so-we-must-think.space/images/doi-stinky-logo-57x61.png"
+	     title="DOI Stinky Investigation Bar" alt="DOI Stinky logo" />
+      </div>
+      <div id="doiStinkyInfo" class="item-text">
+      </div>
     </div>
   </body>
Index: /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js
===================================================================
--- /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js	(revision 36321)
+++ /other-projects/bib-stinky/trunk/nodejs-server/public/doi-stinky.user.js	(revision 36322)
@@ -8,9 +8,9 @@
 // @author       Mike Twidale
 // @require   https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js
-// @match        https://www.cs.waikato.ac.nz/*
-// @match        https://search.crossref.org/*
-// @grant       GM_xmlhttpRequest
-// @connect     localhost
-// @connect     bibstinky.sowemustthink.space
+// @match     https://www.cs.waikato.ac.nz/*
+// @match     https://search.crossref.org/*
+// @grant     GM_xmlhttpRequest
+// @connect   bibstinky.sowemustthink.space
+// @connect   bib-stinky.so-we-must-think.space
 // ==/UserScript==
 
@@ -22,9 +22,23 @@
   var $ = window.jQuery;
 
+  var doi_list = [];
+  var doi_pattern = /^http(?:s)?:\/\/doi.org\/(.*)$/i;
+
+  $('a').each(function() {
+        var href=$(this).attr('href');
+        var doi_pattern_matches = doi_pattern.exec(href);
+        if (doi_pattern_matches != null) {
+            var doi_id = doi_pattern_matches[1];
+            doi_list.push(doi_id);
+        }
+   });
+
+  // console.log(doi_list);
+
   var elmWrapperDiv = document.createElement('div');
   elmWrapperDiv.id = "doiStinkyBar";
 
   $(document).ready(function() {
-    console.log("Adding in <div> to display DOI Stinky bar at top:");
+    //console.log("Adding in <div> to display DOI Stinky bar at top:");
     elmWrapperDiv.style.width = '100%';
     //elmWrapperDiv.style.textAlign = 'center';
@@ -41,16 +55,19 @@
       url:        'https://bibstinky.sowemustthink.space/doi-stinky-bar.html',
       onload:     function (responseDetails) {
-                    console.log (
-                        "GM_xmlhttpRequest() response is:\n",
-                        responseDetails.responseText.substring (0, 80) + '...'
-                    );
 
-                    var returned_html_str = responseDetails.responseText;
-                    var body_str = returned_html_str.substring(returned_html_str.indexOf("<body>")+6,returned_html_str.indexOf("</body>"))
-                    console.log("returned body = " + body_str.substring (0) + '...');
+          var returned_html_str = responseDetails.responseText;
+          var body_str = returned_html_str.substring(returned_html_str.indexOf("<body>")+6,returned_html_str.indexOf("</body>"))
+          //console.log("returned body = " + body_str.substring (0) + '...');
 
-                    var body = $.parseHTML(body_str);
-                    $("#doiStinkyBar").append(body);
-                }
+          var body = $.parseHTML(body_str);
+          $("#doiStinkyBar").append(body);
+
+          if (doi_list.length > 0) {
+              $('#doiStinkyInfo').append(doi_list.join(","));
+          }
+          else {
+              $('#doiStinkyInfo').append("No DOIs detected on the page");
+          }
+      }
     } );
 });